<settings xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/SETTINGS/1.0.0"
          xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0
                          http://maven.apache.org/xsd/settings-1.0.0.xsd">
    <servers>

        <server>
            <id>aws-s3-snapshot</id>
            <!-- The CI_DEPLOY_S3_USERNAME variable must be defined as a variable in the CD/CI -->
            <username>${CI_DEPLOY_S3_USERNAME}</username>
            <!-- The CI_DEPLOY_S3_PASSWORD variable must be defined as a variable in the CD/CI -->
            <password>${CI_DEPLOY_S3_PASSWORD}</password>
            <configuration>
                <region>eu-west-3</region>
            </configuration>
        </server>

        <server>
            <id>aws-s3-release</id>
            <username>${CI_DEPLOY_S3_USERNAME}</username>
            <password>${CI_DEPLOY_S3_PASSWORD}</password>
            <configuration>
                <region>eu-west-3</region>
            </configuration>
        </server>

        <server>
            <id>aws-s3-site</id>
            <username>${CI_DEPLOY_S3_USERNAME}</username>
            <password>${CI_DEPLOY_S3_PASSWORD}</password>
            <configuration>
                <region>eu-west-3</region>
            </configuration>
        </server>

        <server>
            <id>gitlab-maven-public</id>
            <username>${CI_DEPLOY_GITLAB_PUBLIC_USERNAME}</username>
            <password>${CI_DEPLOY_GITLAB_PUBLIC_PASSWORD}</password>
        </server>

        <server>
            <id>gitlab-maven-private</id>
            <username>${CI_DEPLOY_GITLAB_PRIVATE_USERNAME}</username>
            <password>${CI_DEPLOY_GITLAB_PRIVATE_PASSWORD}</password>
        </server>

    </servers>

</settings>